--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Is the requirement satifised by <tt>version</tt>.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "version:"
    body: "[Gem::Version] the version to compare against"
  - !ruby/struct:SM::Flow::LI 
    label: "return:"
    body: "[Boolean] true if this requirement is satisfied by the version, otherwise false"
  type: :NOTE
full_name: Gem::Requirement#satisfied_by?
is_singleton: false
name: satisfied_by?
params: (version)
visibility: public
